VirtualHost
Get Virtual Host List
Request
GET /v1/vhosts
Header
Authorization: Basic {credentials}
# Authorization
Credentials for HTTP Basic Authentication created with <AccessToken>
Responses
200 Ok
The request has succeeded
Header
Content-Type: application/jsonBody
{
"statusCode": 200,
"message": "OK",
"response": [
"default",
"service",
"poc"
]
}
# statusCode
Same as HTTP Status Code
# message
A human-readable description of the response code
# response
Json array containing a list of virtual host names401 Unauthorized
Authentication required
Header
WWW-Authenticate: Basic realm=”OvenMediaEngine”Body
{
"message": "[HTTP] Authorization header is required to call API (401)",
"statusCode": 401
}Create Virtual Host
Request
Responses
207 Multi-Status
There might be a mixture of responses.
Header
Body
It responds with Json array for each request.
Get Virtual Host Information
Request
Responses
Delete Virtual Host
Request
Responses
Last updated
Was this helpful?